package com.jasamedika.medifirst2000.service;

import java.util.List;
import java.util.Map;

import com.jasamedika.medifirst2000.vo.UsulanEvaluasiVO;


/**
 * Usulan Evaluasi Service
 * 
 * @author Lukman Hakim
 */
public interface UsulanEvaluasiService  {
	 
	String noUsulanDanKajianOrganisasi();
	
	List<Map<String,Object>> listUsulanEvaluasiByRuanganPembuat(String tglAwal, String tglAkhir,String noUsulan,Integer idPegawai);
	
	List<Map<String,Object>> listUsulanEvaluasiByRuanganTujuan(String tglAwal, String tglAkhir,String noUsulan,Integer idPegawai);
	
	Map<String,Object> usulanEvaluasiByNoUsulan(String noUsulan);
	
	String saveUsulanEvaluasiDanKahianOrganisasi(UsulanEvaluasiVO usulanEvaluasiVO);
	
	Map<String, Object>  saveRekomendasiUsulanEvaluasi(UsulanEvaluasiVO usulanEvaluasiVO);
	
	
}
